ServerEvents.recipes(event => {
  event.remove({id: 'reliquary:alkahestry_tome'})
  event.remove({id: 'allthemodium:teleport_pad'})
  event.remove({id: 'laserio:logic_chip_raw'})
  event.remove({output: 'laserio:logic_chip'})
  event.remove({id: 'mob_grinding_utils:recipe_saw'})
  event.remove({id: 'travelanchors:travel_anchor'})
  event.remove({id: 'tiab:time_in_a_bottle'})
  event.remove({id: 'notenoughwands:wand_core'})
  event.remove({id: 'notenoughwands:advanced_wand_core'})
  event.remove({id: 'dimstorage:dimensional_tablet'})
  event.remove({id: 'dimstorage:dim_wall'})
  event.remove({id: 'dimstorage:solid_dim_core'})
  event.remove({id: 'entangled:block'})
  event.remove({output: 'fluxnetworks:flux_dust'})
})

ServerEvents.recipes(event => {
  //Tome of Alkahestry
    event.shaped('reliquary:alkahestry_tome',
      ['121','365','141'], {
        1: 'reliquary:witherless_rose', 
        2: 'reliquary:glacial_staff',
        3: 'reliquary:mercy_cross',
        4: 'reliquary:harvest_rod',
        5: 'reliquary:hero_medallion',
        6: 'eidolon:codex'
    }).id('reliquary:alkahestry_tome')

  //Travel Anchor
  event.shapeless(
    Item.of('travelanchors:travel_anchor'), // arg 1: output
    [ 
      'enderio:travel_anchor'
    ]
  ).id('travelanchors:travel_anchor')

  //Mob Masher
  event.shaped('mob_grinding_utils:saw',
    ['121','343','252'], {
      1: 'allthemodium:allthemodium_sword', 
      2: '#forge:ingots/vibranium',
      3: 'mob_grinding_utils:spikes',
      4: 'allthecompressed:redstone_block_2x',
      5: '#forge:storage_blocks/compressed_iron'
  }).id('mob_grinding_utils:saw')

    //Raw Logic Chip
      event.shaped('2x laserio:logic_chip_raw',
        ['121','343','121'], {
          1: '#forge:ingots/end_steel', 
          2: '#forge:ingots/energetic_alloy',
          3: '#forge:gems/amethyst',
          4: 'allthecompressed:quartz_block_1x'
      }).id('laserio:logic_chip_raw')

    //Time in a Bottle
      event.shaped('tiab:time_in_a_bottle',
        ['111','232','454'], {
          1: 'industrialforegoing:pink_slime_ingot', 
          2: '#forge:gems/shadow_gem',
          3: 'create:cuckoo_clock',
          4: 'allthecompressed:lapis_block_1x',
          5: 'minecraft:glass_bottle'
      }).id('tiab:time_in_a_bottle')

      //Logic Chip
      event.custom({
        "type": "pneumaticcraft:pressure_chamber", 
          "inputs": [
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 1,
              "item": "laserio:logic_chip_raw"
            },
        ],
              "pressure": 2.5, 
              "results": [{"item": "laserio:logic_chip"}]
      }).id('laserio:pressure/logic_chip')

      //TelePad ATM
      event.custom({
        "type": "pneumaticcraft:pressure_chamber", 
          "inputs": [
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 2,
              "tag": "forge:ingots/allthemodium"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 2,
              "tag": "forge:ingots/vibranium"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 2,
              "tag": "forge:ingots/unobtainium"
            },
            {
              "type": "pneumaticcraft:stacked_item",
              "count": 1,
              "item": "bloodmagic:etherealslate"
            },
        ],
              "pressure": 2.5, 
              "results": [{"item": "allthemodium:teleport_pad"}]
      }).id('allthemodium:pressure/teleport_pad')

    //Diamond Gear -> Allthemodium Gear
    event.replaceInput(
      { mod: 'industrialforegoing' }, // Arg 1: the filter
      '#forge:gears/diamond',            // Arg 2: the item to replace
      '#forge:gears/allthemodium'         // Arg 3: the item to replace it with
    )

    //Wand Core
    event.shaped('notenoughwands:wand_core',
    ['12 ','212',' 21'], {
      1: 'botania:blaze_block', 
      2: '#forge:ingots/swift_alloy'
    }).id('notenoughwands:wand_core')

    //Wand Core
    event.shaped('notenoughwands:advanced_wand_core',
    [' 1 ','232',' 4 '], {
      1: '#forge:storage_blocks/nether_star', 
      2: '#forge:ingots/allthemodium', 
      3: 'notenoughwands:wand_core', 
      4: '#forge:storage_blocks/fireite'
    }).id('notenoughwands:advanced_wand_core')

    //Dimensional Wall
    event.shaped('8x dimstorage:dim_wall',
    ['121','232','121'], {
      1: '#forge:ingots/compressed_iron', 
      2: 'allthecompressed:redstone_block_1x', 
      3: 'allthecompressed:diamond_block_2x'
    }).id('dimstorage:dim_wall')

    //Solid Dimensional Core
    event.shaped('dimstorage:solid_dim_core',
    ['111','121','111'], {
      1: '#forge:ingots/compressed_iron', 
      2: 'dimstorage:dim_core'
    }).id('dimstorage:solid_dim_core')

    //Entangled Block
    event.shaped('entangled:block',
    ['121','232','121'], {
      1: '#forge:storage_blocks/ender_pearls', 
      2: 'allthecompressed:obsidian_2x', 
      3: 'pneumaticcraft:smart_chest'
    }).id('entangled:block')

    //Flux Dust
    event.custom({
    "input": [
      {
        "tag": "forge:dusts/redstone"
      },
      {
        "tag": "forge:dusts/redstone"
      },
      {
        "tag": "forge:dusts/redstone"
      },
      {
        "tag": "forge:dusts/redstone"
      },
      {
        "tag": "forge:dusts/redstone"
      },
      {
        "tag": "forge:dusts/redstone"
      },
      {
        "tag": "forge:dusts/redstone"
      },
      {
        "tag": "forge:dusts/redstone"
      }
    ],
    "processingTime": 300,
    "output": {
      "item": "fluxnetworks:flux_dust",
      "count": 8
    },
    "inputFluid": "{FluidName:\"minecraft:lava\",Amount:1000}",
    "type": "industrialforegoing:dissolution_chamber"
  }).id('fluxnetworks:flux_dust')

  //Unob - Allthemodium Alloy Ingot
  event.recipes.powah.energizing(["#forge:ingots/allthemodium", "#forge:ingots/unobtainium"], "#forge:ingots/unobtainium_allthemodium_alloy", 250000).id(`allthemodium:unobtainium_allthemodium_alloy`)

  //Unob - Vibranium Alloy Ingot
  event.recipes.powah.energizing(["#forge:ingots/unobtainium", "#forge:ingots/vibranium"], "#forge:ingots/unobtainium_vibranium_alloy", 250000).id(`allthemodium:unobtainium_vibranium_alloy`)

  //Vibranium - Allthemodium Alloy Ingot
  event.recipes.powah.energizing(["#forge:ingots/allthemodium", "#forge:ingots/vibranium"], "#forge:ingots/vibranium_allthemodium_alloy", 250000).id(`allthemodium:vibranium_allthemodium_alloy`)
})